use std::path::Path;
use iced::window::Settings;
use iced::Size;
use def::Todo;
use crate::db::startup;
use crate::def::Task;

mod todo;
mod def;
mod db;

/*fn main() -> iced::Result {
    let settings = Settings {
        size: Size::new(500.0, 600.0),
        resizable: false,
        ..Settings::default()
    };
    
    iced::application("To Do App", Todo::update, Todo::view)
        .subscription(Todo::subscription)
        .theme(Todo::theme)
        .window(settings)
        .run()
}*/

fn main() {
    let path: &Path = Path::new("./todo-db.db3");
    let conn = startup(path);
    let t = Task {
        checked: true,
        value: String::from("Troll Ink"),
    };
    let c = conn.unwrap();
    /*let r = db::insert_task(t, &c);
    println!("{:?}", r);*/
    
    let rr = db::get_tasks(&c);
}